background = love.graphics.newImage("lovers1.png")
foreground = love.graphics.newImage("background-solid.png")
touch = love.graphics.newImage("images/touch_01.png")

function draw_tiled(image, x, y, width, height)
  for xi=0,width/image:getWidth() do
    for yi=0,height/image:getHeight() do
      love.graphics.draw(image, x + image:getWidth() * xi, y + image:getHeight() * yi)
    end
  end
end

function touchy(x, y)
  love.graphics.draw(touch, x, y)
end

function love.draw()
  draw_tiled(foreground, 0, 0, love.graphics.getWidth(), love.graphics.getHeight())
  love.graphics.draw(background)

  for key, value in pairs(love.touch.getTouches()) do
    x, y = love.touch.getPosition(value)
    touchy(x, y)
  end

  if love.mouse.isDown(1) then
    touchy(love.mouse.getX(), love.mouse.getY())
  end
end
